Subject: Re: [PATCH 2/2] refs.c: Write reflogs for notes just like for branch heads

From: Jakub Narebski <[email-masked]>
Date: Tue, 30 Mar 2010 12:18:16 -0700 (PDT)

Johan Herland <[email-masked]> writes:
> On Tuesday 30 March 2010, Jeff King wrote:

> > I like the idea of having a reflog, just because you could use it to
> > salvage an old cache if you were playing around with your helper's
> > options (or debugging your helper :) ). The usual 90-day expiration
> > time is perhaps too long, though.
> 
> Yes, 90 days as a default might be excessive, but you can always 
> override it with a "git gc --prune=now"...

You can always set different expire time for notes by using

  [gc "refs/notes"]
        reflogExpire = 7 # days, I suppose

Which is not documented (I have found it in RelNotes-1.6.0.txt).  
Oh well...
-- 
Jakub Narebski
Poland
ShadeHawk on #git